from sqlalchemy import Column, BigInteger, String, DateTime
from config.database import Base


class Door(Base):
    """
    门禁设备表
    """

    __tablename__ = 'door'

    id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键自增')
    indexCode = Column(String(64), nullable=True, comment='设备索引编码')
    name = Column(String(32), nullable=True, comment='门禁名称')
    install_location = Column(String(32), nullable=True, comment='位置名称')
    status = Column(String(2), nullable=True, comment='设备状态, 0 离线, 1 正常在线')
    permission = Column(String(2), nullable=True, comment='权限, 0 禁用, 1 正常调用')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='更新时间')
    update_by = Column(String(64), nullable=True, comment='更新者')



